콘텐츠로 건너뛰기

태그 API

POST https://api.pushwoosh.com/json/1.3/addTag

계정에 태그를 생성합니다.

요청 본문

Anchor link to
이름유형설명
auth*stringPushwoosh Control Panel 의 API access token 입니다.
tag*object태그 매개변수입니다.
tag.name*string태그 이름입니다.
tag.type*integer태그 유형입니다. 아래에서 가능한 값을 참조하세요.
tag.user_specificbooleantrue 이면 태그 값은 사용자 수준에 저장되며 UserID 로 설정 시 사용자의 모든 기기에서 공유됩니다. false (기본값)이면 태그는 기기 수준이며 HWID 별로 설정됩니다.
{
"status_code": 200,
"status_message": "OK",
"response": {
"result": true
}
}
예시
{
"request": {
"auth": "yxoPUlwqm…………pIyEX4H", // 필수. Pushwoosh Control Panel의 API access token
"tag": {
"name": "TAG_NAME", // 필수.
"type": 1, // 필수. 아래에서 가능한 값을 참조하세요
"user_specific": false // 선택. true = 사용자 수준 태그(모든 기기에서 공유); false = 기기 수준 태그(기본값)
}
}
}

가능한 태그 값 유형:

  • 1 - Integer
  • 2 - String
  • 3 - List
  • 4 - Date
  • 5 - Boolean
  • 6 - Decimal. 예: 19.95
  • 7 - Version. 예: “1.0.0.0”

POST https://api.pushwoosh.com/json/1.3/deleteTag

데이터베이스에서 모든 관련 정보와 함께 태그를 완전히 제거합니다.

요청 본문

Anchor link to
이름유형설명
auth*stringPushwoosh Control Panel 의 API access token 입니다.
tag*object태그 매개변수입니다.
tag.name*string삭제할 tag의 이름입니다.
{
"status_code": 200,
"status_message": "OK",
"response": {
"result": true
}
}
예시
{
"request": {
"auth": "yxoPUlwqm…………pIyEX4H", // 필수. Pushwoosh Control Panel의 API access token
"tag": {
"name": "TAG_NAME" // 필수. 삭제할 태그의 이름
}
}
}

POST https://api.pushwoosh.com/json/1.3/listTags

계정의 태그 목록을 검색합니다.

요청 본문

Anchor link to
이름유형설명
auth*stringPushwoosh Control Panel 의 API access token 입니다.
{
"status_code": 200,
"status_message": "OK",
"response": {
"tags": [{
"name":"Language",
"type":2
}, {
"name":"List tag",
"type":3
}]
}
}
예시
{
"request":{
"auth": "yxoPUlwqm…………pIyEX4H" // Pushwoosh Control Panel의 API access token
}
}

태그 유형:

  • 1 - Integer
  • 2 - String
  • 3 - List
  • 4 - Date
  • 5 - Boolean
  • 6 - Decimal. 예: 19.95
  • 7 - Version. 예: “1.0.0.0”